#if !defined(AFX_DELETETIMEZONERANGE_H__0C1D0AA8_B68D_43C1_AE8F_46C9D647B192__INCLUDED_)
#define AFX_DELETETIMEZONERANGE_H__0C1D0AA8_B68D_43C1_AE8F_46C9D647B192__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeleteTimeZoneRange.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// DeleteTimeZoneRange dialog

class DeleteTimeZoneRange : public CDialog
{
// Construction
public:
	DeleteTimeZoneRange(CWnd* pParent = NULL);   // standard constructor
	DeleteTimeZoneRange(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(DeleteTimeZoneRange)
	enum { IDD = IDD_DELETETZRANGE };
	CComboBox	m_TZRangeList;
	CComboBox	m_TZList;
	CComboBox	m_AcctList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DeleteTimeZoneRange)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DeleteTimeZoneRange)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeTzlist();
	afx_msg void OnDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadTimeZones();
	void LoadTimeZoneRanges();


};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DELETETIMEZONERANGE_H__0C1D0AA8_B68D_43C1_AE8F_46C9D647B192__INCLUDED_)
